package com.cool.store.mapper;

import com.cool.store.entity.ShopAuditInfoDO;
import com.cool.store.vo.ShopAuditInfoVO;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface ShopAuditInfoMapper extends Mapper<ShopAuditInfoDO> {

    ShopAuditInfoDO selectBykeyAndType(@Param("shopId") Long shopId);

    List<ShopAuditInfoDO> getAuditInfoList(@Param("auditIds") List<Long> auditIds);

    List<ShopAuditInfoVO> getListByShopIdAndType(@Param("shopId") Long shopId,
                                                 @Param("type") Integer type);
    List<ShopAuditInfoDO> getAuditList(@Param("shopId") Long shopId,@Param("auditType") Integer auditType);
}